<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_e2670a71b0605345f" . "16f2b7a8edd4a21" => base64_decode("dWNmaXJ" . "zdA=="), "_24f5487bd60ba6b3" . "0d6285c791a32460" => base64_decode("c3Ry" . "X3Bh" . "ZA=="), "_74923e1c0049a84fd0" . "20d96f8ae0645d" => base64_decode("SW5" . "mbw" . "=="), "_0f10830288c813de18599c12f7" . "6694b3" => base64_decode("RGVi" . "dWc="), "_bd71c3b5c201fc11" . "db82ed14ce424de5" => base64_decode("aW5fYXJy" . "YXk="), "_a08b13e5" . "439bf1e12" . "58f60e938" . "0f41ae" => base64_decode("RGV0YWl" . "s"), "_b742a00ae87" . "756f850c77e0" . "daf4e7a3a" => base64_decode("Cg=" . "="), "_70809333a0f254acf7a1ad0c7dadd46" . "b" => base64_decode("O" . "i" . "A" . "="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e2670a71b0605" . "345f16f2b7a8ed" . "d4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_74923e1c0049a84fd02" . "0d96f8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a08b13e543" . "9bf1e1258f6" . "0e9380f41ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0f10830288c8" . "13de18599c12f" . "76694b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_24f5487bd60ba" . "6b30d6285c791a" . "32460"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2670a71b0605345f16f2b7a8ed" . "d4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_70809333a0f254acf7" . "a1ad0c7dadd46b"] . $message . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b742a00ae87756f850c77e0d" . "af4e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}